Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 573 - ghostscript doesn't have device pnmraw
Summary: ghostscript doesn't have device pnmraw
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ghostscript
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL: http://www.wizards.dupont.com/cristy/...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-23 15:55 UTC by devin
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-02 16:57:49 UTC


Attachments (Terms of Use)

Description devin 1998-12-23 15:55:05 UTC
ImageMagick uses ghostscript to convert postscript files to
other formats.  It doesn't work because the version of
ghostscript shipped with redhat linux 5.2 doesn't have
device pnmraw.

Comment 1 devin 1998-12-23 16:01:59 UTC
The URL explains error

Comment 2 David Lawrence 1999-01-05 00:30:59 UTC
It does in fact generate the error stated by the user. But it also did
what I asked it too. I took a postcript file and simply did

convert file.ps file.gif

After a few minutes I was able to display the file.gif with the
command

display file.gif

Everything seemed to work ok except for the error message being
generated. I have assigned it to a developer for further review.

Comment 3 devin 1999-01-05 14:30:59 UTC
The command I gave which gave it a problem was

convert +dither file.ps file.gif

It was a color postscript.

Comment 4 Preston Brown 1999-02-02 16:57:59 UTC
The ghostscript in RawHide has the pnmraw driver, and Red Hat 6.0 will
ship with a ghostscript with the driver as well.


Note You need to log in before you can comment on or make changes to this bug.